RIGSMTR(1)

NAME
rigsmtr - measure S-Meter vs azimuth using Hamlib

SYNOPSIS
rigsmtr [OPTION]... [time_step]

DESCRIPTION
rigsmtr uses Hamlib to control a rig to measure S-Meter vs azimuth:
It rotates the antenna from minimum azimuth to maximum azimuth. Every second or time_step if specified in seconds, it retrieves the signal strength.
Azimuth in degree and corresponding S-Meter level in dB relative to S9 are then printed on stdout.
To work correctly, rigsmtr needs a rig that could measure S-Meter and a Hamlib backend that is able to get it, mounted on a Hamlib supported rotator.

Keep in mind that Hamlib is still BETA level software. A lof of stuff hasn't been tested thoroughly, and the API may change without publicised notice. Please report bugs and feedback at the e-mail address given in the REPORTING BUGS section.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-m, --model=id
    Select radio model number. See model list provided by rigctl.

-r, --rig-file=device
    Use device as the file name of the radio to operate on.

-s, --serial-speed=baud
    Set radio serial speed to baud rate. Uses maximal rig speed as default.

-c, --civaddr=id
    Use id as the CI-V address to communicate with the rig. Only for Icom rigs. NB: the id is in decimal, unless prefixed by 0x, in which case it is hexadecimal.

-C, --set-conf=parm=val[,parm=val]*
    Set radio config parameter. See -L option of rigctl for a list.

-M, --rot-model=id
    Select radio model number. See model list provided by rotctl.

-R, --rot-file=device
    Use device as the file name of the rotator to operate on.

-S, --rot-serial-speed=baud
    Set rotator serial speed to baud rate. Uses maximal speed as default.

-N, --rot-set-conf=parm=val[,parm=val]*
    Set rotator config parameter. See -L option of rotctl for a list.

-v, --verbose
    Set verbose mode, cumulative (BUG, ERR, WARN, VERBOSE, TRACE).

-h, --help
    Show summary of options and exit.

-V, --version
    Show version of program and exit.

RETURN VALUE
rigsmtr exits with: 0 if all operations went fine; 1 if there was an invalid command line option or arg; 2 if an error was returned by Hamlib; 3 if the rig doesn't have the required capabilities.

EXAMPLE
rigsmtr -m 209 -r /dev/ttyS1 -M 202 > csmtr

Collect S-Meter readings on a TS850 while an EasycommII rotator makes a full 360°, and record measurements in file csmtr.
After completion, csmtr file contains for example the following lines :
  0 -47
  30 -40
  60 -22
  90 -3
  120 10
  150 1
  180 -11
  210 -24
  240 -35
  270 -42
  300 -48
  330 -51
  360 -49

Result could then be ploted with gnuplot:
    gnuplot
    set angles degrees
    set polar
    set grid polar 15.
    unset border
    unset param
    set style data line
    set rrange [-60:60]
    set xrange [-60:60]
    set yrange [-60:60]
    plot "csmtr"

AUTHOR
Man page written by Stephane Fillod.

BUGS
Need more testing. Reports are welcome.

REPORTING BUGS
Report bugs to <hamlib-developer@users.sourceforge.net>.

COPYRIGHT
Copyright © 2004-2009 Thierry Leconte & Stephane Fillod
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
hamlib(3),rigctl(1),rotctl(1)